## python-ironicclient 1.16.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
appdirs>=1.3.0 # MIT License
dogpile.cache>=0.6.2 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=3.0.1 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
python-openstackclient!=3.10.0,>=3.3.0 # Apache-2.0
PyYAML>=3.10.0 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-ironicclient (1.16.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 Aug 2017 22:30:39 +0000

python-ironicclient (1.16.0-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:52 -0400

python-ironicclient (1.16.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 13:58:20 -0400

python-ironicclient (1.13.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:23:14 +0100

python-ironicclient (1.11.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Mar 2017 08:51:29 -0500

python-ironicclient (1.11.0-0ubuntu3) zesty; urgency=medium

  * debian/control: Clean up dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 05 Feb 2017 10:24:33 -0500

python-ironicclient (1.11.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Cleanup build dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 04 Feb 2017 13:31:17 -0500

python-ironicclient (1.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 09:24:25 -0500

python-ironicclient (1.10.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 10:36:34 -0500

python-ironicclient (1.9.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Bump version dependencies.
  * debian/control: Add autopkgtest
   
 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2017 08:46:39 -0500

python-ironicclient (1.8.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Nov 2016 12:21:16 -0500

python-ironicclient (1.7.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Run tests with ostestr.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:42:27 +0100

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-appdirs (>= 1.3.0),
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-dogpile.cache (>= 0.6.2),
                     python-fixtures (>= 3.0.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 3.0.1),
                     python-mock (>= 2.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-testr (>= 0.8.0),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:16.1.0),
                     python-testtools (>= 1.4.0),
                     python-yaml (>= 3.10.0),
                     python3-appdirs (>= 1.3.0),
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-ddt (>= 1.0.1),
                     python3-dogpile.cache (>= 0.6.2),
                     python3-fixtures (>= 3.0.0),
                     python3-jsonschema (>= 2.0.0),
                     python3-keystoneauth1 (>= 3.0.1),
                     python3-mock (>= 2.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-testr (>= 0.8.0),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:16.1.0),
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.10.0),
                     subunit
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
Homepage: http://www.openstack.org
Testsuite: autopkgtest-pkg-python

Package: python-ironicclient
Architecture: all
Depends: python-appdirs (>= 1.3.0),
         python-dogpile.cache (>= 0.6.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 3.0.1),
         python-osc-lib (>= 1.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7.1),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends}
Description: Client for OpenStack bare metal Service - Python 2.7
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 2.7 support.

Package: python3-ironicclient
Architecture: all
Depends: python3-appdirs (>= 1.3.0),
         python3-dogpile.cache (>= 0.6.2),
         python3-jsonschema (>= 2.0.0),
         python3-keystoneauth1 (>= 3.0.1),
         python3-osc-lib (>= 1.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7.1),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python3:Depends}
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

## python-ironicclient 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
appdirs>=1.3.0 # MIT License
dogpile.cache>=0.6.2 # BSD
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
PyYAML>=3.10 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-ironicclient (2.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:27:00 -0500

python-ironicclient (2.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 12:32:21 -0500

python-ironicclient (2.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 10:43:23 -0500

python-ironicclient (1.17.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:16 -0500

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-appdirs (>= 1.3.0),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-dogpile.cache (>= 0.6.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-tempest (>= 1:17.1.0),
 python-testtools (>= 2.2.0),
 python-yaml (>= 3.10),
 python3-appdirs (>= 1.3.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-dogpile.cache (>= 0.6.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.10),
 subunit,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
Homepage: http://www.openstack.org
Testsuite: autopkgtest-pkg-python

Package: python-ironicclient
Architecture: all
Depends:
 python-appdirs (>= 1.3.0),
 python-dogpile.cache (>= 0.6.2),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
Description: Client for OpenStack bare metal Service - Python 2.7
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 2.7 support.

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

Package: python3-ironicclient
Architecture: all
Depends:
 python3-appdirs (>= 1.3.0),
 python3-dogpile.cache (>= 0.6.2),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.10),
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-ironicclient/python-ironicclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ironicclient 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -5,12 +5,12 @@
 appdirs>=1.3.0 # MIT License
 dogpile.cache>=0.6.2 # BSD
 jsonschema<3.0.0,>=2.6.0 # MIT
-keystoneauth1>=3.3.0 # Apache-2.0
-osc-lib>=1.8.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
+osc-lib>=1.10.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-ironicclient (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:39:13 +0200

python-ironicclient (2.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 to build the doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 09:08:52 +0200

python-ironicclient (2.2.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:05:42 +0100

python-ironicclient (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:52:13 +0000

python-ironicclient (2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 09:19:24 +0000

python-ironicclient (1.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:38:55 +0000

python-ironicclient (1.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 21:30:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,99 +1,96 @@
 Source: python-ironicclient
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 52~),
+ openstack-pkg-tools,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-appdirs (>= 1.3.0),
- python-babel (>= 2.3.4),
- python-coverage (>= 4.0),
- python-ddt (>= 1.0.1),
- python-dogpile.cache (>= 0.6.2),
- python-fixtures (>= 3.0.0),
- python-hacking (>= 0.12.0),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
- python-mock (>= 2.0.0),
+ python-babel,
+ python-coverage,
+ python-ddt,
+ python-dogpile.cache,
+ python-fixtures,
+ python-hacking,
+ python-jsonschema,
+ python-keystoneauth1 (>= 3.4.0),
+ python-mock,
  python-openstackclient (>= 3.12.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-testr (>= 1.0.0),
- python-osc-lib (>= 1.8.0),
+ python-osc-lib (>= 1.10.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-prettytable (>= 0.7.1),
+ python-oslotest (>= 3.2.0),
+ python-prettytable (>= 0.7),
  python-requests (>= 2.14.2),
- python-requests-mock (>= 1.1.0),
- python-six (>= 1.10.0),
+ python-requests-mock (>= 1.2.0),
+ python-six,
+ python-stestr,
  python-tempest (>= 1:17.1.0),
  python-testtools (>= 2.2.0),
- python-yaml (>= 3.10),
+ python-yaml,
  python3-appdirs (>= 1.3.0),
- python3-babel (>= 2.3.4),
- python3-coverage (>= 4.0),
- python3-ddt (>= 1.0.1),
- python3-dogpile.cache (>= 0.6.2),
- python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
- python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
- python3-mock (>= 2.0.0),
+ python3-babel,
+ python3-ddt,
+ python3-dogpile.cache,
+ python3-fixtures,
+ python3-jsonschema,
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-mock,
  python3-openstackclient (>= 3.12.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-os-testr (>= 1.0.0),
- python3-osc-lib (>= 1.8.0),
+ python3-osc-lib (>= 1.10.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1:3.2.0),
- python3-prettytable (>= 0.7.1),
+ python3-oslotest (>= 3.2.0),
+ python3-prettytable (>= 0.7),
  python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1.0),
- python3-six (>= 1.10.0),
+ python3-requests-mock (>= 1.2.0),
+ python3-six,
+ python3-sphinxcontrib.apidoc,
+ python3-stestr,
  python3-subunit,
  python3-tempest (>= 1:17.1.0),
  python3-testtools (>= 2.2.0),
- python3-yaml (>= 3.10),
+ python3-yaml,
  subunit,
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
 Homepage: http://www.openstack.org
-Testsuite: autopkgtest-pkg-python
 
 Package: python-ironicclient
 Architecture: all
 Depends:
  python-appdirs (>= 1.3.0),
- python-dogpile.cache (>= 0.6.2),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
- python-osc-lib (>= 1.8.0),
+ python-cliff (>= 1.15.0),
+ python-dogpile.cache,
+ python-jsonschema,
+ python-keystoneauth1 (>= 3.4.0),
+ python-openstackclient (>= 3.3.0),
+ python-osc-lib (>= 1.10.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
- python-prettytable (>= 0.7.1),
+ python-prettytable (>= 0.7),
  python-requests (>= 2.14.2),
- python-six (>= 1.10.0),
- python-yaml (>= 3.10),
+ python-six (>= 1.9.0),
+ python-yaml,
  ${misc:Depends},
  ${python:Depends},
 Description: Client for OpenStack bare metal Service - Python 2.7
@@ -140,18 +137,20 @@
 Architecture: all
 Depends:
  python3-appdirs (>= 1.3.0),
- python3-dogpile.cache (>= 0.6.2),
- python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
- python3-osc-lib (>= 1.8.0),
+ python3-cliff (>= 0.15.0),
+ python3-dogpile.cache,
+ python3-jsonschema,
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-openstackclient (>= 3.3.0),
+ python3-osc-lib (>= 1.10.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-prettytable (>= 0.7.1),
+ python3-prettytable (>= 0.7),
  python3-requests (>= 2.14.2),
- python3-six (>= 1.10.0),
- python3-yaml (>= 3.10),
+ python3-six (>= 1.9.0),
+ python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Description: Client for OpenStack bare metal Service - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	pkgos-dh_auto_test
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/watch ===
version=3
https://github.com/openstack/python-ironicclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-ironicclient 2.7.0

=== debian/changelog ===
python-ironicclient (2.7.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:13:37 +0200

python-ironicclient (2.7.0-2) experimental; urgency=medium

  * Fixed minimum build-depends version for python3-cliff.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 12:14:13 +0200

python-ironicclient (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 08:33:05 +0100

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-appdirs,
 python3-babel,
 python3-cliff (>= 2.14.1),
 python3-ddt,
 python3-dogpile.cache,
 python3-fixtures,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

Package: python3-ironicclient
Architecture: all
Depends:
 python3-appdirs,
 python3-cliff (>= 2.14.1),
 python3-dogpile.cache,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks: python-ironicclient
Replaces: python-ironicclient
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

## python-ironicclient 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,13 +4,12 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 appdirs>=1.3.0 # MIT License
 dogpile.cache>=0.6.2 # BSD
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0
 osc-lib>=1.10.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
 PyYAML>=3.12 # MIT
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT

=== debian/changelog ===
python-ironicclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:23:56 +0200

python-ironicclient (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-prettytable as (build-)depends.
  * Do not package tools/ironic.bash_completion as it's gone upstream. Has it
    moved somewhere else?

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:39:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -31,7 +31,6 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
- python3-prettytable,
  python3-requests,
  python3-requests-mock,
  python3-six,
@@ -84,14 +83,15 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,
- python3-prettytable,
  python3-requests,
  python3-six,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
-Breaks: python-ironicclient
-Replaces: python-ironicclient
+Breaks:
+ python-ironicclient,
+Replaces:
+ python-ironicclient,
 Description: Client for OpenStack bare metal Service - Python 3.x
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor

## python-ironicclient 4.1.0

=== debian/changelog ===
python-ironicclient (4.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 10:03:55 -0400

python-ironicclient (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:14:13 -0400

python-ironicclient (3.1.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 10 Dec 2019 09:26:26 +0100

python-ironicclient (3.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/python3-ironicclient.install: Remove tools/ironic.bash_completion
    inline with upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 15:48:21 -0400

python-ironicclient (2.8.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:30:22 -0400

python-ironicclient (2.7.2-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Update Standards-Version to 4.1.4.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 13:53:50 -0400

python-ironicclient (2.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 14:27:45 -0400

python-ironicclient (2.6.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:15:28 -0500

python-ironicclient (2.5.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 17:35:37 -0400

python-ironicclient (2.3.0-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control: Use https URLs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 16:20:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ironicclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -11,40 +12,42 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-appdirs,
- python3-babel,
+ python3-appdirs (>= 1.3.0),
+ python3-babel (>= 2.3.4),
  python3-cliff (>= 2.14.1),
- python3-ddt,
- python3-dogpile.cache,
- python3-fixtures,
- python3-jsonschema,
- python3-keystoneauth1,
- python3-mock,
- python3-openstackclient,
- python3-openstackdocstheme,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-oslotest,
- python3-requests,
- python3-requests-mock,
- python3-six,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
+ python3-ddt (>= 1.0.1),
+ python3-dogpile.cache (>= 0.6.2),
+ python3-fixtures (>= 3.0.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstacksdk (>= 0.18.0),
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-osc-lib (>= 1.10.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-subunit,
- python3-tempest,
- python3-testtools,
- python3-yaml,
+ python3-tempest (>= 1:17.1.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironicclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironicclient.git
-Homepage: http://www.openstack.org
+Standards-Version: 4.1.4
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironicclient
+Homepage: https://www.openstack.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ironicclient-doc
 Section: doc
@@ -72,20 +75,21 @@
 Package: python3-ironicclient
 Architecture: all
 Depends:
- python3-appdirs,
+ python3-appdirs (>= 1.3.0),
  python3-cliff (>= 2.14.1),
- python3-dogpile.cache,
- python3-jsonschema,
- python3-keystoneauth1,
+ python3-dogpile.cache (>= 0.6.2),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient,
- python3-osc-lib,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-yaml,
+ python3-openstacksdk (>= 0.18.0),
+ python3-osc-lib (>= 1.10.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-ironicclient 4.3.0

=== debian/changelog ===
python-ironicclient (4.3.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Sep 2020 20:42:34 +0000

python-ironicclient (4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:25:50 -0400

python-ironicclient (4.2.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 13:14:20 -0400

=== debian/control ===
--- 
+++ 
@@ -14,20 +14,19 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-appdirs (>= 1.3.0),
- python3-babel (>= 2.3.4),
  python3-cliff (>= 2.14.1),
  python3-ddt (>= 1.0.1),
  python3-dogpile.cache (>= 0.6.2),
  python3-fixtures (>= 3.0.0),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-mock (>= 2.0.0),
  python3-openstackclient (>= 3.12.0),
  python3-openstacksdk (>= 0.18.0),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 2.2.0),
  python3-osc-lib (>= 1.10.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
@@ -78,7 +77,7 @@
  python3-appdirs (>= 1.3.0),
  python3-cliff (>= 2.14.1),
  python3-dogpile.cache (>= 0.6.2),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient,
  python3-openstacksdk (>= 0.18.0),
